@import '../../../styles.scss';

.menu-container {
  font-size: 2em;
  background: $light;
  color: $text-color;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 80px;
  z-index: 10;
  box-shadow: $box-shadow;
  transform: translateY(50px);
  transition: .2s $ease-in;
  box-sizing: border-box;

  .nav-list {
    display: flex;
    justify-content: space-around;
    text-decoration: none;
    margin-top: 24px;
    opacity: 0;
    transition: .2s $ease-in;
    text-transform: uppercase;

    .selected {
      font-weight: bold;
      color: $dark;
    }

    li {
      cursor: pointer;
    }
  }
}

.menu-container.show {
  transform: translateY(0);

  .nav-list {
    opacity: 1;
  }

}

.menu-btn {
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
  width: 30px;
  height: 30px;
  z-index: 2000;
  display: flex;
  align-content: center;

  .bar {
    height: 14px;
    width: 3px;
    margin: auto 3px;
    background: $text-color;
    transition: .2s $ease-in;
  }
}

.minus {
  .bar {
    opacity: 0;
    transform: translateY(100%);
  }

  .middle-bar {
    transform: rotate(90deg) translateY(0);
    opacity: 1;
  }
}


@media screen and (min-width: 900px) {

  .menu-container {
    background: transparent;
    box-shadow: none;
    position: fixed;
    bottom: initial;
    top: 0;
    width: 100%;
    height: 32px;
    padding: 24px 16px;
    height: auto;
    transform: translateY(0);
    transition: .2s $ease-in;
    @include flex;
    align-content: center;

    &.sticky {
      background: $light;
      box-shadow: $box-shadow;
    }

    .nav-list {
      margin: auto;
      margin-right: 0;
      text-decoration: none;
      opacity: 1;
      transition: .2s $ease-in;
      text-transform: uppercase;

      .selected {
        font-weight: bold;
        color: $dark;
      }

      li {
        margin: 0 8px;
        cursor: pointer;
      }
    }

  }

  .icon-logo {
    width: 30px;
    height: auto;
    transition: .3s $ease-in;
    opacity: 0;
    transform: translateY(100%);
    
    .menu-container.sticky & {
      transform: translateY(0);
      opacity: 1;
    }
  }

  .menu-btn {
    display: none;
  }
}

@media screen and (min-width: 1200px) {}
